JBoss API: Interface MetricsConstants

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.monitor
Interface MetricsConstants

All Known Implementing Classes:
  AbstractInstanceCache, MetricsInterceptor

public interface MetricsConstants

Metrics constants interface contains JMS message types used to identify different monitoring point message producers in the server. When publishing a message to the metrics topic, you should type the message source. For example:

          Message myMessage;
          myMessage.setJMSType(INVOCATION_METRICS);

In addition, this interface contains some generic JMS property identifiers for the metrics messages.

Version:
  $Revision: 1.3 $
Author:
  Juha Lindfors

Field Summary
`static java.lang.String` | `ACTIVITY` Message property 'ACTIVITY'
`static java.lang.String` | `APPLICATION` Message property 'APPLICATION'
`static java.lang.String` | `BEAN` Message property 'BEAN'
`static java.lang.String` | `BEANCACHE_METRICS` Bean cache metrics producer.
`static java.lang.String` | `CHECKPOINT` Message property 'CHECKPOINT'
`static java.lang.String` | `INVOCATION_METRICS` Method invocation metrics producer.
`static java.lang.String` | `MEMORY_MONITOR` System Monitor TYPE
`static java.lang.String` | `METHOD` Message property 'METHOD'
`static java.lang.String` | `PRIMARY_KEY` Message propertu 'PRIMARY_KEY'
`static java.lang.String` | `SYSTEM_METRICS` System resource metrics producer.
`static java.lang.String` | `THREAD_MONITOR` System Monitor TYPE
`static java.lang.String` | `TIME` Message property 'TIME'
`static java.lang.String` | `TYPE` Message property 'TYPE'

Field Detail

### INVOCATION_METRICS

    public static final java.lang.String INVOCATION_METRICS

  Method invocation metrics producer.

### BEANCACHE_METRICS

    public static final java.lang.String BEANCACHE_METRICS

  Bean cache metrics producer.

### SYSTEM_METRICS

    public static final java.lang.String SYSTEM_METRICS

  System resource metrics producer.

### TIME

    public static final java.lang.String TIME

  Message property 'TIME'

### APPLICATION

    public static final java.lang.String APPLICATION

  Message property 'APPLICATION'

### BEAN

    public static final java.lang.String BEAN

  Message property 'BEAN'

### PRIMARY_KEY

    public static final java.lang.String PRIMARY_KEY

  Message propertu 'PRIMARY_KEY'

### TYPE

    public static final java.lang.String TYPE

  Message property 'TYPE'

### ACTIVITY

    public static final java.lang.String ACTIVITY

  Message property 'ACTIVITY'

### CHECKPOINT

    public static final java.lang.String CHECKPOINT

  Message property 'CHECKPOINT'

### METHOD

    public static final java.lang.String METHOD

  Message property 'METHOD'

### THREAD_MONITOR

    public static final java.lang.String THREAD_MONITOR

  System Monitor TYPE

### MEMORY_MONITOR

    public static final java.lang.String MEMORY_MONITOR

  System Monitor TYPE

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.